This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 87475 - Value of HZ has changed?
Value of HZ has changed?
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-27 08:49 EST by Justin Skists
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-27 09:05:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Justin Skists 2003-03-27 08:49:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
I beleive the same problem occurs with kernel-source-2.4.18-27.8.0, aswell.

Compiling my company's driver against the redhat kernel (as opposed to the 
kernel 2.4.18) caused a subtle behavour change in the driver.

I have tracked the problem down to the kernel define "HZ" being set to '512' as 
opposed to being '100' as in the kernel.org kernel.

Version-Release number of selected component (if applicable):
kernel-source-2.4.18-14

How reproducible:
Always

Steps to Reproduce:
1. create minimal driver to prink out value of HZ
2. compile and load driver for stock redhat 8 kernel
3. compile and load driver for kernel.org 2.4.18 kernel
4. compare results
    

Actual Results:  the kernel define "HZ" being set to '512'....

Expected Results:  ...as opposed to being '100' as in the kernel.org kernel.

Additional info:

I'm not sure if this is a bug or intentional.
Comment 1 Arjan van de Ven 2003-03-27 09:05:29 EST
this is fully intentional; it helps interactive performance

Note You need to log in before you can comment on or make changes to this bug.